USE StackOverflow2010
GO

SET STATISTICS IO ON;

SELECT u.Reputation,p.Score 
FROM Users as u
JOIN Posts as p on p.OwnerUserId = u.Id
WHERE u.DisplayName = 'user169867'
AND p.PostTypeId = 1  --Questions






CREATE NONCLUSTERED INDEX ix_OwnerUserId_PostTypeId 
ON Posts (OwnerUserId, PostTypeId) INCLUDE (Score)
WITH (MAXDOP = 4)