USE StackOverflow2010
GO

SET STATISTICS IO ON;
SELECT Reputation from Users
WHERE Location = 'United States'
AND Age = 34
AND DisplayName = 'Chris'












CREATE NONCLUSTERED INDEX ix_DisplayName_Loc_Age
 ON Users(DisplayName, Location,Age)
INCLUDE (Reputation) WITH (MAXDOP = 4)




SET STATISTICS IO ON;
SELECT Reputation from Users
WHERE Location = 'United States'
AND Age = 34
AND DisplayName = 'Chris'



/*
DROP INDEX ix_DisplayName_Loc_Age on Users
*/


--What if DisplayName is an optional parameter?
SET STATISTICS IO ON;
SELECT Reputation from Users
WHERE Location = 'United States'
AND Age = 34




CREATE NONCLUSTERED INDEX ix_DisplayName_Age_Loc
 ON Users(Location,Age, DisplayName)
INCLUDE (Reputation) WITH (MAXDOP = 4)



--Rerun without DisplayName
SET STATISTICS IO ON;
SELECT Reputation from Users
WHERE Location = 'United States'
AND Age = 34


/*
DROP INDEX ix_DisplayName_Age_Loc on Users
*/

SET STATISTICS IO ON;
SELECT Reputation from Users
WHERE Location = 'United States'
AND Age = 34
AND DisplayName = 'Chris'